# Alphabetical Index

An index of Functions, Modules, and Constants by name.

[A](#a)  [E](#e)  [P](#p)  [Q](#q)  [T](#t)

## A

- [`A4`](titleBlock.scad#module-a4) Mod – Generates an A4-sized boundary with configurable margins.
- [`A4_LANDSCAPE`](titleBlock.scad#constant-a4_landscape) Const
- [`arrowed_line()`](quotes.scad#module-arrowed_line) Mod – Draws a straight line with arrowheads at both ends.

## E

- [`ext_line()`](quotes.scad#module-ext_line) Mod – Draws a straight extruded line between two points.

## P

- [`plan`](titleBlock.scad#module-plan) Mod – Generates a structured technical drawing layout with a title block.

## Q

- [`quote()`](quotes.scad#module-quote) Mod – Draws a dimension line with optional text labeling the length.

## T

- [`titleBlock()`](titleBlock.scad#module-titleblock) Mod – Generates a customizable title block layout for documents.

